Galaxietool Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000500Galaxietool(No Category)public2011-04-11 13:342013-03-24 23:08
ReporterUn1matr1x 
Assigned ToeX0du5 
PrioritylowSeverityfeatureReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target Version5.1Fixed in Version5.1 
Summary0000500: use a js-minifier to save bandwich
Descriptionwhen delivering the package the included js-files should be minified (f.e. http://fmarcia.info/jsmin/test.html [^]) to reduce the size and save bandwich

in the development-trunk it should be a non-minified version for easy maintenance
TagsNo tags attached.
Browser and Browser Version
Hoster
MySQL Version
PHP Version
rev
Attached Files

- Relationships

-  Notes
(0001277)
eX0du5 (manager)
2011-04-12 08:25

We need another JS Minimizer version which can be executed from the command line to be executed when the release package is created. No need to store minimized versions in our repository.
(0001278)
eX0du5 (manager)
2011-04-12 08:26
edited on: 2011-04-12 08:30

http://www.crockford.com/javascript/jsmin.html [^]

Already compiled for python: http://linux.softpedia.com/get/Internet/HTTP-WWW-/jsmin-53025.shtml [^]

(0001364)
Omar Hawk (manager)
2011-09-18 15:46
edited on: 2011-09-18 15:47

another minifier, from Dojo:

http://dojotoolkit.org/reference-guide/shrinksafe/ [^]

(0001420)
Omar Hawk (manager)
2012-01-04 00:31

and another one:

http://code.google.com/closure/compiler/ [^]
(0001422)
vrnagy (reporter)
2012-01-25 14:30

You can use the YUI Compressor (http://developer.yahoo.com/yui/compressor/ [^]). You can run it from command line, and it can minimize the scripts and the css files. Only requirement is Java.
(0001469)
eX0du5 (manager)
2012-04-08 13:05

All tools are equally good as they provide a command line. But none of them answer the question how to minimize the effort needed to change the development version into a productive version.
E.g. change all JS Source files into one is quite easy for all of them, but how to adjust all the source files that include the JS sources is not mentioned at all.
(0001470)
Omar Hawk (manager)
2012-04-08 15:32

usually, these tools do not touch global variables, so there shouldn't be any change necessary for you.
(0001640)
eX0du5 (manager)
2013-03-24 23:08

About two years later I can close the ticket :-)
I am using google closure now to compress the javascript code.
A next step will be to combine the files into one JS file. But for this, the files need to be rewritten as there might be duplicate function names among the files.

I did not add a css compression yet as I have only one file for this and did not want to test the few command line tools for css which have way too many parameter.

- Issue History
Date Modified Username Field Change
2011-04-11 13:34 Un1matr1x New Issue
2011-04-12 08:24 eX0du5 Assigned To => eX0du5
2011-04-12 08:24 eX0du5 Status new => assigned
2011-04-12 08:25 eX0du5 Note Added: 0001277
2011-04-12 08:26 eX0du5 Note Added: 0001278
2011-04-12 08:30 eX0du5 Note Edited: 0001278 View Revisions
2011-09-18 15:46 Omar Hawk Note Added: 0001364
2011-09-18 15:47 Omar Hawk Note Edited: 0001364 View Revisions
2011-09-18 15:50 Un1matr1x Product Version 4.7 =>
2011-09-18 15:50 Un1matr1x Target Version => 4.9
2011-09-18 15:52 Un1matr1x Target Version 4.9 => 5.0
2012-01-04 00:31 Omar Hawk Note Added: 0001420
2012-01-25 14:30 vrnagy Note Added: 0001422
2012-04-08 13:05 eX0du5 Note Added: 0001469
2012-04-08 15:32 Omar Hawk Note Added: 0001470
2012-05-08 22:23 eX0du5 Target Version 5.0 => 5.1
2013-03-24 23:08 eX0du5 Note Added: 0001640
2013-03-24 23:08 eX0du5 Status assigned => resolved
2013-03-24 23:08 eX0du5 Fixed in Version => 5.1
2013-03-24 23:08 eX0du5 Resolution open => fixed



Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker